

import axios from "axios";
import base from "../assets/js/base.js"



var qs = require("qs");
let message = base.message;
axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';
axios.defaults.timeout = 1000 * 60 * 5;
// axios.defaults.withCredentials = true;



// code  // 200成功
          // 700 重新登录
          // 401
          // 500

//请求响应拦截
axios.interceptors.response.use(function (response) {
    console.log(response)
  if (response.data.code==1) {
    return response.data;

  }


}, function (error) {
  return Promise.reject(error);
});




// objUrl,地址
// objMethods,提交方式
// objData, 提交的数据
// cb,回调函数

function axiosMethods(objMethods,objUrl,objData,cb,ip = base.ip) {

  axios.defaults.baseURL = ip;
  if(localStorage.getItem("token")){
    axios.defaults.headers.common['Authorization'] = localStorage.getItem("token");
  }

  switch (objMethods){
    //get
    case "get":axios({
      url: objUrl,
      method: objMethods,
      params:objData
    }).then(function (response) {
      cb(response)
    });
      break;

    // post
    case "post": axios({
      url: objUrl,
      method: objMethods,
      data: qs.stringify(objData),

    }).then((response) => {
      cb(response);
    });
      break;

    // 上传文件
    case "upload": axios({
      url: objUrl,
      method: 'post',
      data: objData,
      headers: { //添加请求头
        "Content-Type": "multipart/form-data"
      }

    }).then((response) => {
      cb(response);
    });
      break;


  }
}


export default {
  AxiosMethods:axiosMethods
}
